Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.autoscaling.model
Class LaunchConfiguration

    java.lang.Object
      com.amazonaws.services.autoscaling.model.LaunchConfiguration

    public class LaunchConfiguration

extends Object

Constructor Summary
`LaunchConfiguration()`

Method Summary
`List<BlockDeviceMapping>` | `getBlockDeviceMappings()` Specifies how block devices are exposed to the instance.
`Date` | `getCreatedTime()` Provides the creation date and time for this launch configuration.
`String` | `getImageId()` Provides the unique ID of the Amazon Machine Image (AMI) that was assigned during registration.
`String` | `getInstanceType()` Specifies the instance type of the EC2 instance.
`String` | `getKernelId()` Provides the ID of the kernel associated with the EC2 AMI.
`String` | `getKeyName()` Provides the name of the EC2 key pair.
`String` | `getLaunchConfigurationName()` Specifies the name of the launch configuration.
`String` | `getRamdiskId()` Provides ID of the RAM disk associated with the EC2 AMI.
`List<String>` | `getSecurityGroups()` Contains a description of the security groups to associate with the EC2 instances.
`String` | `getUserData()` Contains the user data available to the launched EC2 instances.
`void` | `setBlockDeviceMappings(Collection<BlockDeviceMapping> blockDeviceMappings)` Specifies how block devices are exposed to the instance.
`void` | `setCreatedTime(Date createdTime)` Provides the creation date and time for this launch configuration.
`void` | `setImageId(String imageId)` Provides the unique ID of the Amazon Machine Image (AMI) that was assigned during registration.
`void` | `setInstanceType(String instanceType)` Specifies the instance type of the EC2 instance.
`void` | `setKernelId(String kernelId)` Provides the ID of the kernel associated with the EC2 AMI.
`void` | `setKeyName(String keyName)` Provides the name of the EC2 key pair.
`void` | `setLaunchConfigurationName(String launchConfigurationName)` Specifies the name of the launch configuration.
`void` | `setRamdiskId(String ramdiskId)` Provides ID of the RAM disk associated with the EC2 AMI.
`void` | `setSecurityGroups(Collection<String> securityGroups)` Contains a description of the security groups to associate with the EC2 instances.
`void` | `setUserData(String userData)` Contains the user data available to the launched EC2 instances.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`LaunchConfiguration` | `withBlockDeviceMappings(BlockDeviceMapping... blockDeviceMappings)` Specifies how block devices are exposed to the instance.
`LaunchConfiguration` | `withBlockDeviceMappings(Collection<BlockDeviceMapping> blockDeviceMappings)` Specifies how block devices are exposed to the instance.
`LaunchConfiguration` | `withCreatedTime(Date createdTime)` Provides the creation date and time for this launch configuration.
`LaunchConfiguration` | `withImageId(String imageId)` Provides the unique ID of the Amazon Machine Image (AMI) that was assigned during registration.
`LaunchConfiguration` | `withInstanceType(String instanceType)` Specifies the instance type of the EC2 instance.
`LaunchConfiguration` | `withKernelId(String kernelId)` Provides the ID of the kernel associated with the EC2 AMI.
`LaunchConfiguration` | `withKeyName(String keyName)` Provides the name of the EC2 key pair.
`LaunchConfiguration` | `withLaunchConfigurationName(String launchConfigurationName)` Specifies the name of the launch configuration.
`LaunchConfiguration` | `withRamdiskId(String ramdiskId)` Provides ID of the RAM disk associated with the EC2 AMI.
`LaunchConfiguration` | `withSecurityGroups(Collection<String> securityGroups)` Contains a description of the security groups to associate with the EC2 instances.
`LaunchConfiguration` | `withSecurityGroups(String... securityGroups)` Contains a description of the security groups to associate with the EC2 instances.
`LaunchConfiguration` | `withUserData(String userData)` Contains the user data available to the launched EC2 instances.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LaunchConfiguration

    public LaunchConfiguration()

Method Detail

### getLaunchConfigurationName

    public String getLaunchConfigurationName()

  Specifies the name of the launch configuration.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    Specifies the name of the launch configuration.

### setLaunchConfigurationName

    public void setLaunchConfigurationName(String launchConfigurationName)

  Specifies the name of the launch configuration.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `launchConfigurationName` - Specifies the name of the launch configuration.

### withLaunchConfigurationName

    public LaunchConfiguration withLaunchConfigurationName(String launchConfigurationName)

  Specifies the name of the launch configuration.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `launchConfigurationName` - Specifies the name of the launch configuration.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getImageId

    public String getImageId()

  Provides the unique ID of the Amazon Machine Image (AMI) that was assigned during registration.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    Provides the unique ID of the Amazon Machine Image (AMI) that was assigned during registration.

### setImageId

    public void setImageId(String imageId)

  Provides the unique ID of the Amazon Machine Image (AMI) that was assigned during registration.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `imageId` - Provides the unique ID of the Amazon Machine Image (AMI) that was assigned during registration.

### withImageId

    public LaunchConfiguration withImageId(String imageId)

  Provides the unique ID of the Amazon Machine Image (AMI) that was assigned during registration.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `imageId` - Provides the unique ID of the Amazon Machine Image (AMI) that was assigned during registration.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getKeyName

    public String getKeyName()

  Provides the name of the EC2 key pair.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    Provides the name of the EC2 key pair.

### setKeyName

    public void setKeyName(String keyName)

  Provides the name of the EC2 key pair.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `keyName` - Provides the name of the EC2 key pair.

### withKeyName

    public LaunchConfiguration withKeyName(String keyName)

  Provides the name of the EC2 key pair.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `keyName` - Provides the name of the EC2 key pair.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getSecurityGroups

    public List<String> getSecurityGroups()

  Contains a description of the security groups to associate with the EC2 instances.

  Returns:
    Contains a description of the security groups to associate with the EC2 instances.

### setSecurityGroups

    public void setSecurityGroups(Collection<String> securityGroups)

  Contains a description of the security groups to associate with the EC2 instances.

  Parameters:
    `securityGroups` - Contains a description of the security groups to associate with the EC2 instances.

### withSecurityGroups

    public LaunchConfiguration withSecurityGroups(String... securityGroups)

  Contains a description of the security groups to associate with the EC2 instances.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `securityGroups` - Contains a description of the security groups to associate with the EC2 instances.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withSecurityGroups

    public LaunchConfiguration withSecurityGroups(Collection<String> securityGroups)

  Contains a description of the security groups to associate with the EC2 instances.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `securityGroups` - Contains a description of the security groups to associate with the EC2 instances.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getUserData

    public String getUserData()

  Contains the user data available to the launched EC2 instances.

  Constraints:
  Length: 0 - 21847
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    Contains the user data available to the launched EC2 instances.

### setUserData

    public void setUserData(String userData)

  Contains the user data available to the launched EC2 instances.

  Constraints:
  Length: 0 - 21847
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `userData` - Contains the user data available to the launched EC2 instances.

### withUserData

    public LaunchConfiguration withUserData(String userData)

  Contains the user data available to the launched EC2 instances.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 0 - 21847
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `userData` - Contains the user data available to the launched EC2 instances.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getInstanceType

    public String getInstanceType()

  Specifies the instance type of the EC2 instance.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    Specifies the instance type of the EC2 instance.

### setInstanceType

    public void setInstanceType(String instanceType)

  Specifies the instance type of the EC2 instance.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `instanceType` - Specifies the instance type of the EC2 instance.

### withInstanceType

    public LaunchConfiguration withInstanceType(String instanceType)

  Specifies the instance type of the EC2 instance.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `instanceType` - Specifies the instance type of the EC2 instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getKernelId

    public String getKernelId()

  Provides the ID of the kernel associated with the EC2 AMI.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    Provides the ID of the kernel associated with the EC2 AMI.

### setKernelId

    public void setKernelId(String kernelId)

  Provides the ID of the kernel associated with the EC2 AMI.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `kernelId` - Provides the ID of the kernel associated with the EC2 AMI.

### withKernelId

    public LaunchConfiguration withKernelId(String kernelId)

  Provides the ID of the kernel associated with the EC2 AMI.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `kernelId` - Provides the ID of the kernel associated with the EC2 AMI.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getRamdiskId

    public String getRamdiskId()

  Provides ID of the RAM disk associated with the EC2 AMI.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    Provides ID of the RAM disk associated with the EC2 AMI.

### setRamdiskId

    public void setRamdiskId(String ramdiskId)

  Provides ID of the RAM disk associated with the EC2 AMI.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `ramdiskId` - Provides ID of the RAM disk associated with the EC2 AMI.

### withRamdiskId

    public LaunchConfiguration withRamdiskId(String ramdiskId)

  Provides ID of the RAM disk associated with the EC2 AMI.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `ramdiskId` - Provides ID of the RAM disk associated with the EC2 AMI.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getBlockDeviceMappings

    public List<BlockDeviceMapping> getBlockDeviceMappings()

  Specifies how block devices are exposed to the instance. Each mapping is made up of a virtualName and a deviceName.

  Returns:
    Specifies how block devices are exposed to the instance. Each mapping is made up of a virtualName and a deviceName.

### setBlockDeviceMappings

    public void setBlockDeviceMappings(Collection<BlockDeviceMapping> blockDeviceMappings)

  Specifies how block devices are exposed to the instance. Each mapping is made up of a virtualName and a deviceName.

  Parameters:
    `blockDeviceMappings` - Specifies how block devices are exposed to the instance. Each mapping is made up of a virtualName and a deviceName.

### withBlockDeviceMappings

    public LaunchConfiguration withBlockDeviceMappings(BlockDeviceMapping... blockDeviceMappings)

  Specifies how block devices are exposed to the instance. Each mapping is made up of a virtualName and a deviceName.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `blockDeviceMappings` - Specifies how block devices are exposed to the instance. Each mapping is made up of a virtualName and a deviceName.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withBlockDeviceMappings

    public LaunchConfiguration withBlockDeviceMappings(Collection<BlockDeviceMapping> blockDeviceMappings)

  Specifies how block devices are exposed to the instance. Each mapping is made up of a virtualName and a deviceName.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `blockDeviceMappings` - Specifies how block devices are exposed to the instance. Each mapping is made up of a virtualName and a deviceName.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getCreatedTime

    public Date getCreatedTime()

  Provides the creation date and time for this launch configuration.

  Returns:
    Provides the creation date and time for this launch configuration.

### setCreatedTime

    public void setCreatedTime(Date createdTime)

  Provides the creation date and time for this launch configuration.

  Parameters:
    `createdTime` - Provides the creation date and time for this launch configuration.

### withCreatedTime

    public LaunchConfiguration withCreatedTime(Date createdTime)

  Provides the creation date and time for this launch configuration.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `createdTime` - Provides the creation date and time for this launch configuration.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.